# Rates

This object represents the interest and promo rates of the loan. You can modify interest and promo rates at any time.
If a rate is modified or added with an effective date in the past, we will recalculate loan balances retroactively and
future expected payments from the effective date. If a rate is modified or added with effective date in the future, we
will recalculate future expected payments only.

 - [GET /people/{personId}/loans/{loanId}/draws/{drawId}/effective-rates](https://docs.peachfinance.com/api-docs/api-public/rates/peach.people.loans.handlers.draw_effective_rates_get.md): This endpoint returns rates details of a draw for a given date(s). Interest rates: If two or more interest rates are `active` on the same date (aka overlap), the Peach system selects the lowest rate (
 - [GET /people/{personId}/loans/{loanId}/draws/{drawId}/rates](https://docs.peachfinance.com/api-docs/api-public/rates/peach.people.loans.handlers.draw_rates_get.md)
 - [POST /people/{personId}/loans/{loanId}/draws/{drawId}/rates](https://docs.peachfinance.com/api-docs/api-public/rates/peach.people.loans.handlers.draw_rates_add.md): This endpoint is used for adding rates. A draw can have multiple rates. If two or more `interestRate` overlap on the same date we use the lowest value. If two or more `promoRate` overlap on the same d
 - [DELETE /people/{personId}/loans/{loanId}/draws/{drawId}/rates/{rateId}](https://docs.peachfinance.com/api-docs/api-public/rates/peach.people.loans.handlers.draw_rates_delete.md): This endpoint is used for removing a single `interest` or `promo` rate. The deletion of an interest rate cannot lead to a gap in the loan where there is no reference rate. Rates where setAtActivation
 - [PUT /people/{personId}/loans/{loanId}/draws/{drawId}/rates/{rateId}](https://docs.peachfinance.com/api-docs/api-public/rates/peach.people.loans.handlers.draw_rates_update.md): This endpoint is used for updating a single `interest` or `promo` rate (don't pass both in the same call). The updating of an interest rate cannot lead to a gap in the loan where there is no reference
 - [GET /people/{personId}/loans/{loanId}/effective-rates](https://docs.peachfinance.com/api-docs/api-public/rates/peach.people.loans.handlers.loan_effective_rates_get.md): This endpoint returns rates details of a loan for given date(s). ## Interest rates: - If two or more interest rates are `active` on the same date (aka overlap), the Peach system selects the lowest rat
 - [GET /people/{personId}/loans/{loanId}/rates](https://docs.peachfinance.com/api-docs/api-public/rates/peach.people.loans.handlers.loan_rates_get.md)
 - [POST /people/{personId}/loans/{loanId}/rates](https://docs.peachfinance.com/api-docs/api-public/rates/peach.people.loans.handlers.loan_rates_add.md): This endpoint is used for adding rates. A loan can have multiple rates. If two or more `interestRate` overlap on the same date we use the lowest value. If two or more `promoRate` overlap on the same d
 - [DELETE /people/{personId}/loans/{loanId}/rates/{rateId}](https://docs.peachfinance.com/api-docs/api-public/rates/peach.people.loans.handlers.loan_rates_delete.md): This endpoint is used for removing a single `interest` or `promo` rate. The deletion of an interest rate cannot lead to a gap in the loan where there is no reference rate. Rates where setAtActivation
 - [PUT /people/{personId}/loans/{loanId}/rates/{rateId}](https://docs.peachfinance.com/api-docs/api-public/rates/peach.people.loans.handlers.loan_rates_update.md): This endpoint is used for updating a single `interest` or `promo` rate. (don't pass both in the same call). The updating of an interest rate cannot lead to a gap in the loan where there is no referenc
